#
# Copyright (C) 2020--2021 Tom Ryder <tom@sanctum.geek.nz>
#
# This file is part of nagios-check-ftp.
#
# nagios-check-ftp is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# nagios-check-ftp is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# nagios-check-ftp.  If not, see <https://www.gnu.org/licenses/>.
#
use 5.006;
use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
    NAME               => 'check_ftp',
    AUTHOR             => 'Tom Ryder <tom@sanctum.geek.nz>',
    VERSION_FROM       => 'libexec/check_ftp',
    LICENSE            => 'gpl_3',  # or later
    INSTALLSCRIPT      => '/usr/local/nagios/libexec',
    INSTALLSITESCRIPT  => '/usr/local/nagios/libexec',
    EXE_FILES          => ['libexec/check_ftp'],
    MIN_PERL_VERSION   => '5.010001',
    CONFIGURE_REQUIRES => {
        'ExtUtils::MakeMaker' => '0',
    },
    PREREQ_PM => {
        'English'            => 0,
        'Exception::Class'   => 0,
        'Monitoring::Plugin' => 0,
        'Path::Tiny'         => 0,
        'Quota'              => 0,
        'Try::Tiny'          => 0,
    },
    META_MERGE => {
        'meta-spec' => { version => 2 },
        resources   => {
            homepage   => 'https://sanctum.geek.nz/cgit/check_ftp.git/',
            repository => {
                type => 'git',
                url  => 'https://sanctum.geek.nz/code/check_ftp.git/',
                web  => 'https://sanctum.geek.nz/cgit/check_ftp.git/',
            },
        },
    },
    clean => { FILES => 'check_ftp-*' },
);
